Bug 980941 - file reported wrong file type (reported .PIC image file instead of ASCII text file)
file reported wrong file type (reported .PIC image file instead of ASCII text...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Kaluža
Stanislav Zidek
:
: 1054887 (view as bug list)
Depends On:
Blocks: 994246
  Show dependency treegraph
 
Reported: 2013-07-03 11:31 EDT by Patrick Dung
Modified: 2014-10-14 04:29 EDT (History)
7 users (show)

See Also:
Fixed In Version: file-5.04-16.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 04:29:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 0006532 None None None Never

  None (edit)
Description Patrick Dung 2013-07-03 11:31:15 EDT
Description of problem:

For a simple file like below, it reported .PIC image file instead of ASCII text file.
I have briefly tested RHEL 6.4, 5.7, it still have the same problem.

Version-Release number of selected component (if applicable):
RHEL 6.4, RHEL 5.7

How reproducible:
Always

Steps to Reproduce:
1. produce a test file: test.txt
ap1-srv1,10.200.190.51,AP,supp1,Good
ap1-srv2,10.200.190.52,AP,supp1,Good

$ file test.txt
test.txt: Bio-Rad .PIC Image File 28769 x 11569, 29299 images in file

Actual results:
test.txt: Bio-Rad .PIC Image File 28769 x 11569, 29299 images in file

Expected results:
ASCII English text

Additional info:
Comment 3 RHEL Product and Program Management 2013-10-13 19:25:25 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 Patrick Dung 2013-10-14 02:33:20 EDT
(In reply to RHEL Product and Program Management from comment #3)
> This request was evaluated by Red Hat Product Management for
> inclusion in the current release of Red Hat Enterprise Linux.
> Because the affected component is not scheduled to be updated
> in the current release, Red Hat is unable to address this
> request at this time.

For RHEL 6, it is expected to be a supported Linux release for a few more years. (year 2017 is the end of Production 2). Do you see any reason that the simple bug should not be fixed?
Comment 7 Jan Kaluža 2014-02-05 02:44:31 EST
*** Bug 1054887 has been marked as a duplicate of this bug. ***
Comment 14 errata-xmlrpc 2014-10-14 04:29:13 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1606.html

Note You need to log in before you can comment on or make changes to this bug.